OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_DataMapIteratorOfDataMapOfShapeShapesSet Class Reference

`#include <TNaming_DataMapIteratorOfDataMapOfShapeShapesSet.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_DataMapIteratorOfDataMapOfShapeShapesSet ()
Standard_EXPORT | TNaming_DataMapIteratorOfDataMapOfShapeShapesSet (const TNaming_DataMapOfShapeShapesSet &aMap)
Standard_EXPORT void | Initialize (const TNaming_DataMapOfShapeShapesSet &aMap)
Standard_EXPORT const TopoDS_Shape & | Key () const
Standard_EXPORT const TNaming_ShapesSet & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_DataMapIteratorOfDataMapOfShapeShapesSet::TNaming_DataMapIteratorOfDataMapOfShapeShapesSet | ( |  | ) |

Standard_EXPORT TNaming_DataMapIteratorOfDataMapOfShapeShapesSet::TNaming_DataMapIteratorOfDataMapOfShapeShapesSet | ( | const TNaming_DataMapOfShapeShapesSet & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TNaming_DataMapIteratorOfDataMapOfShapeShapesSet::Initialize | ( | const TNaming_DataMapOfShapeShapesSet & | aMap | ) |

Standard_EXPORT const TopoDS_Shape& TNaming_DataMapIteratorOfDataMapOfShapeShapesSet::Key | ( |  | ) | const

void TNaming_DataMapIteratorOfDataMapOfShapeShapesSet::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_DataMapIteratorOfDataMapOfShapeShapesSet::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_DataMapIteratorOfDataMapOfShapeShapesSet::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TNaming_ShapesSet& TNaming_DataMapIteratorOfDataMapOfShapeShapesSet::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TNaming_DataMapIteratorOfDataMapOfShapeShapesSet.hxx